### Method

# Gtk TextViewset_input_purpose

#### Declaration [src]

    void
    gtk_text_view_set_input_purpose (
      GtkTextView* text_view,
      GtkInputPurpose purpose
    )

#### Description [src]

Sets the `input-purpose` of the `GtkTextView`.

The `input-purpose` can be used by on-screen keyboards and other input methods to adjust their behaviour.

Sets property | `Gtk.TextView:input-purpose`

#### Parameters

`purpose`

  Type: `GtkInputPurpose`

  The purpose.